# OMPL Plannification: ROS_OMPL_Planner Class Reference

ROS_OMPL_Planner Class Reference

ROS implementation class for OMPL_Planner. More...

`#include <ROS_OMPL_Planner.hpp>`

## Public Member Functions

| ROS_OMPL_Planner (int dimension)
| Constructor. More...
bool | updateMap ()
| Request and load the actual map from the Octomap server.
void | odomCallback (const nav_msgs::OdometryPtr &odom_msg)
| Callback for getting current vehicle position.
bool | findPathToGoal (control_turtlebot::FindPathToGoal::Request &request, control_turtlebot::FindPathToGoal::Response &response)
| Find a path. More...
void | visualizeRRT (const og::SimpleSetup simple_setup)
| Procedure to visualize the resulting path. More...
void | PublishPath (control_turtlebot::FindPathToGoal::Response &response)
| Publish the resulting path. More...
void | PublishPath ()
| Publish the resulting path. More...
bool | getObstacleFlag () const
| Return the flag representing the validity of the current path.
bool | updatePath ()
| Update the path. More...
| ~ROS_OMPL_Planner ()
| Destructor. More...

## Detailed Description

ROS implementation class for OMPL_Planner.

Definition at line 34 of file ROS_OMPL_Planner.hpp.

## Constructor & Destructor Documentation

ROS_OMPL_Planner::ROS_OMPL_Planner | ( | int | dimension | ) |

Constructor.

Load planning parameters from configuration file. Create the connection with other ROS nodes. Create the OMPL_Planner instance.

Definition at line 10 of file ROS_OMPL_Planner.cpp.

ROS_OMPL_Planner::~ROS_OMPL_Planner | ( |  | ) |

Destructor.

Free dynamicly allowed data.

Definition at line 464 of file ROS_OMPL_Planner.cpp.

## Member Function Documentation

bool ROS_OMPL_Planner::findPathToGoal | ( | control_turtlebot::FindPathToGoal::Request & | request,
|  | control_turtlebot::FindPathToGoal::Response & | response
| ) |  |

Find a path.

Find a path from the current position to the goal request. Update the state checker, check the validity of the start/goal state.

Definition at line 115 of file ROS_OMPL_Planner.cpp.

void ROS_OMPL_Planner::PublishPath | ( | control_turtlebot::FindPathToGoal::Response & | response | ) |

Publish the resulting path.

Publish the path on a topic and in response of the request. Display the path. TOPIC : the first state of the path contains the number of states of the path.

Definition at line 306 of file ROS_OMPL_Planner.cpp.

void ROS_OMPL_Planner::PublishPath | ( |  | ) |

Publish the resulting path.

Publish the path on a topic. Display the path. TOPIC : the first state of the path contains the number of states of the path.

Definition at line 370 of file ROS_OMPL_Planner.cpp.

bool ROS_OMPL_Planner::updatePath | ( |  | ) |

Update the path.

Search a new path from start_state to goal state if there's a collision with the path and an obstacle from the new map. Update the state checker and the obstacle_flag.Check the validity of the start/goal state. Return True if a new path is found or if the path is collision-free. Return False, if the planner found an obstacle but failed to found a new path.

Definition at line 435 of file ROS_OMPL_Planner.cpp.

void ROS_OMPL_Planner::visualizeRRT | ( | const og::SimpleSetup | simple_setup | ) |

Procedure to visualize the resulting path.

Visualize resulting path.

Definition at line 151 of file ROS_OMPL_Planner.cpp.

The documentation for this class was generated from the following files:

- /home/blue/GitLab Repo/OMPL_Planning/Source Files/mapping_planning_tutorial/control_turtlebot/src/OMPL_Planning/ROS_Implementation/ROS_OMPL_Planner.hpp
- /home/blue/GitLab Repo/OMPL_Planning/Source Files/mapping_planning_tutorial/control_turtlebot/src/OMPL_Planning/ROS_Implementation/ROS_OMPL_Planner.cpp